# $Revision: 1.6 $, $Date: 2001/12/04 13:34:25 $
Summary:	An implementation of the lint program
Summary(pl):	Implementacja programu lint
Name:		lclint
Version:	2.5q
Release:	6
License:	GPL
Group:		Development/Tools
Group(de):	Entwicklung/Werkzeuge
Group(fr):	Development/Outils
Group(pl):	Programowanie/Narzdzia
Source0:	http://lclint.cs.virginia.edu/%{name}-%{version}.src.tar.gz
Source1:	http://lclint.cs.virginia.edu/%{name}-guide.tar.gz
Patch1:		%{name}-Makefile.patch
Patch2:		%{name}-proto.patch
Patch3:		%{name}-time.patch
URL:		http://lclint.cs.virginia.edu/
BuildRequires:	flex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
Scans C source code for mistakes and bad style.

%description -l pl
Program szukajcy w rdach w C bdw i zego stylu.

%prep
%setup -q -a 1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure

# XXX Do NOT simplify the build here or lclint will NOT have correct defaults!
# XXX The lclint top level Makefile invokes "make -e" and is subtly BROKEN!
%{__make} -C src \
	CC="%{__cc} -DSTDC_HEADERS=1 $CFLAGS" \
	LINKFLAGS="%{rpmldflags} -lfl" \
	DEFAULT_CPP=cpp \
	BISON=/usr/bin/bison \
	FLEX=/usr/bin/flex \
	DEFAULT_LARCHPATH=\".:%{_libdir}/%{name}/lib\" \
	DEFAULT_LCLIMPORTDIR=\".:%{_libdir}/%{name}/imports\" \
	SYSTEM_LIBDIR=\"%{_prefix}\" \
	updateversion localconstants lclint && mv src/lclint bin/lclint

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz lclint-guide emacs
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lclint.spec,v $
Revision 1.6  2001/12/04 13:34:25  qboosh
- pl translations; release 6

Revision 1.5  2001/08/30 09:09:55  kloczek
- release 5,
- added flrx to BuildRequires,
- more macros and some cosmetics.

Revision 1.4  2001/08/23 16:51:39  filon
- changed: make -> %%{__make}

Revision 1.3  2001/05/20 15:32:08  mis
- taken from RH

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- <time.h> fix

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix build on ia64

* Mon Aug 21 2000 Jeff Johnson <jbj@redhat.com>
- set default configuration appropriately.

* Fri Jul 28 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5q

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- fixed build section so that it links with flex properly

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- minor spec file cleanups, built for Powertools-7.0

* Fri May 26 2000 Eric Veldhuyzen <eric@terra.nu>
- upgraded to 2.5m
- reorganized specfile

* Sat Oct 31 1998 Justin Cormack <jpc1@doc.ic.ac.uk>

- found correct 2.4b source (was actually 2.3)
- no longer an emacs mode
- added documentation

* Wed Oct 14 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed library directories not to point at buildroot

* Mon Oct 12 1998 Justin Cormack <jpc1@doc.ic.ac.uk>
- fixed executable

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>
- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>
- updated to newest version
- added buildroot
- added wmconfig

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>
- built the package
